"""
@author: luojunhui
"""
import json
import requests
import time

from concurrent.futures.thread import ThreadPoolExecutor



list_data = {
    "text_list_a": ["凯旋", "毛泽东", "周恩来"],
    "text_list_b": ["胜利", "毛主席", "周总理"]
}

body1 = {
    "data": {
        "text_a": "毛主席",
        "text_b": "毛泽东"
    },
    "function": "similarities"
}

body2 = {
    "data": list_data,
    "function": "similarities_cross"
}

body3 = {
    "data": list_data,
    "function": "similarities_cross_max"
}

body4 = {
    "data": {
        "text_list_a": ["牛逼", "毛泽东", "王一博"],
        "text_list_b": ["肖战", "邓小平", "绝了", "蒋介石"],
        "score_list_b": [100, 1000, 500, 40],
        "symbol": 1,
    },
    "function": "similarities_cross_avg"
}

body5 = {
    "data": list_data,
    "function": "similarities_cross_mean"
}


def test_request(url):
    headers = {"Content-Type": "application/json"}
    a = time.time()
    response = requests.post(url=url, headers=headers, json=body5)
    b = time.time()
    print(json.dumps(response.json(), ensure_ascii=False, indent=4))
    print(b - a)


url_list = ["http://47.98.154.124:6060/nlp"] * 10

with ThreadPoolExecutor(max_workers=3) as Pool:
    Pool.map(test_request, url_list)
